Login (Apache ZooKeeper - Server 3.7.0 API)
Date: 2021-03-17

org.apache.zookeeper

## Class Login

- java.lang.Object
- - org.apache.zookeeper.Login

-     public class Login
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `CallbackHandler` | `callbackHandler`
    `static String` | `SYSTEM_USER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Login(String loginContextName, CallbackHandler callbackHandler, ZKConfig zkConfig)` LoginThread constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getLoginContextName()`
    `Subject` | `getSubject()`
    `String` | `getUserName()`
    `void` | `shutdown()`
    `void` | `startThreadIfNeeded()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SYSTEM_USER

          public static final String SYSTEM_USER

    - #### callbackHandler

          public CallbackHandler callbackHandler

  - ### Constructor Detail

    - #### Login

          public Login(String loginContextName,
                       CallbackHandler callbackHandler,
                       ZKConfig zkConfig)
                throws LoginException

      LoginThread constructor. The constructor starts the thread used to periodically re-login to the Kerberos Ticket Granting Server.
      Parameters:
        `loginContextName` - name of section in JAAS file that will be use to login. Passed as first param to javax.security.auth.login.LoginContext().
        `callbackHandler` - Passed as second param to javax.security.auth.login.LoginContext().
        `zkConfig` - client or server configurations
      Throws:
        `LoginException` - Thrown if authentication fails.

  - ### Method Detail

    - #### startThreadIfNeeded

          public void startThreadIfNeeded()

    - #### shutdown

          public void shutdown()

    - #### getSubject

          public Subject getSubject()

    - #### getUserName

          public String getUserName()

    - #### getLoginContextName

          public String getLoginContextName()

Copyright © 2008–2021 The Apache Software Foundation. All rights reserved.